// modal //

.modal {
    position: fixed;
    right: -150%;
    max-width: 360px;
    width: 100%;
    z-index: 6;
    border-left: 1px solid $main-4;

    @media (max-width: 576px) {
        max-width: 100%;
    }
}

.modal-center {
    position: fixed;
    max-width: 768px;
    width: 100%;
    top: 15%;
    left: 50%;
    transform: translateX(-50%);
    background-color: $main-0;
    z-index: 5;
    
    @media (max-width: 1024px) {
        max-width: 375px;
    }
}

.modal-center.active {
    top: 5%;
}

.modal-right {
    position: fixed;
    right: -150%;
    max-width: 720px;
    width: 100%;
    z-index: 6;
    border-left: 1px solid $main-4;
    transition: 0.3s ease all;
}

.modal-right.active {
    right: 0;
}

.modal-top {
    position: fixed;
    top: -150%;
    // max-width: 1350px;
    // width: calc(100% - 230px);
    width: calc(100% - 450px);
    // width: 100%;
    z-index: 5;
    border-right: 1px solid $main-4;

    @media (max-width: 1280px) {
        width: calc(100% - 280px);
    }

    @media (max-width: 768px) {
        // max-width: 790px;
    }

    @media (max-width: 1024px) {
        width: 100%;
    }
}

.modal-bottom {
    position: fixed;
    top: 15%;
    max-width: 100%;
    width: 100%;
    height: calc(100vh - 100px);
    z-index: 5;
    border-right: 1px solid $main-4;
    
    @media (max-width: 576px) {
        max-width: 100%;
    }
}

.modal-bottom.active {
    top: 0;
} 

.modal__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: $main-0;
    border-bottom: 1px solid $main-4;
    padding: 13px 18px;

    @media (max-width: 576px) {
        padding: 16px;
    }

    .notifications__text {
        @include f13w400M8;
        margin-bottom: 12px;
    }
}

.modal-big__header {
    border-bottom: none;
    padding: 24px;

    @media (max-width: 1024px) {
        border-bottom: 1px solid $main-4;
        padding: 18px;
    }

    @media (max-width: 576px) {
        padding: 16px;
    }
}

.modal__body {
    background-color: $main-1;
    height: 100vh;
    padding: 24px 16px;

    .modal__block {
        display: flex;
        flex-direction: column;
        grid-gap: 4px;

        .name__block {
            @include f10w700upM8;
        }
    }

    .modal__body-content {
        display: flex;
        flex-direction: column;
        grid-gap: 16px;
    }
}

.modal-big__body {
    background-color: $main-0;
    overflow-y: auto;
    height: calc(100vh - 80px);
    padding: 0px 24px 24px 24px;
    @include scrollbarTransparent;

    @media (max-width: 1024px) {
        padding: 24px 16px;
    }
}

.modal__body-bottom {
    padding: 24px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: inherit;
    background-color: $main-0;
    grid-gap: 24px;
    overflow-y: auto;

    .buttons__wrapper {
        grid-gap: 16px;

        .component__button {
            width: 100%;
        }
    }
}

.modal__body-center {
    background-color: $main-0;
    padding: 24px;
}

.modal__close{
    display: flex;
    padding: 12px;
    border-radius: 8px;
    
    svg {
        transition: 0.3s ease;

        .stroke {
            stroke: $main-8;
        }
    }

    &:hover {
        background-color: $main-8;

        svg {
            .stroke {
                stroke: $main-0;
            }
        }
    }
}

.modal-big__close {
    background-color: $main-0;
    border-radius: 8px;
    position: absolute;
    left: -90px;

    @media (max-width: 1024px) {
        position: static;
        left: 0;
    }

    &:hover {
        background-color: $main-8;
    }
}
